package com.toughra.ustadmobile.databinding;
import com.toughra.ustadmobile.R;
import com.toughra.ustadmobile.BR;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import android.view.View;
@SuppressWarnings("unchecked")
public class ItemEntryTranslationBindingImpl extends ItemEntryTranslationBinding implements com.toughra.ustadmobile.generated.callback.OnClickListener.Listener {

    @Nullable
    private static final androidx.databinding.ViewDataBinding.IncludedLayouts sIncludes;
    @Nullable
    private static final android.util.SparseIntArray sViewsWithIds;
    static {
        sIncludes = null;
        sViewsWithIds = null;
    }
    // views
    @NonNull
    private final androidx.appcompat.widget.AppCompatButton mboundView0;
    // variables
    @Nullable
    private final android.view.View.OnClickListener mCallback153;
    // values
    // listeners
    // Inverse Binding Event Handlers

    public ItemEntryTranslationBindingImpl(@Nullable androidx.databinding.DataBindingComponent bindingComponent, @NonNull View root) {
        this(bindingComponent, root, mapBindings(bindingComponent, root, 1, sIncludes, sViewsWithIds));
    }
    private ItemEntryTranslationBindingImpl(androidx.databinding.DataBindingComponent bindingComponent, View root, Object[] bindings) {
        super(bindingComponent, root, 0
            );
        this.mboundView0 = (androidx.appcompat.widget.AppCompatButton) bindings[0];
        this.mboundView0.setTag(null);
        setRootTag(root);
        // listeners
        mCallback153 = new com.toughra.ustadmobile.generated.callback.OnClickListener(this, 1);
        invalidateAll();
    }

    @Override
    public void invalidateAll() {
        synchronized(this) {
                mDirtyFlags = 0x4L;
        }
        requestRebind();
    }

    @Override
    public boolean hasPendingBindings() {
        synchronized(this) {
            if (mDirtyFlags != 0) {
                return true;
            }
        }
        return false;
    }

    @Override
    public boolean setVariable(int variableId, @Nullable Object variable)  {
        boolean variableSet = true;
        if (BR.entryWithLanguage == variableId) {
            setEntryWithLanguage((com.ustadmobile.lib.db.entities.ContentEntryRelatedEntryJoinWithLanguage) variable);
        }
        else if (BR.mPresenter == variableId) {
            setMPresenter((com.ustadmobile.core.controller.ContentEntryDetailOverviewPresenter) variable);
        }
        else {
            variableSet = false;
        }
            return variableSet;
    }

    public void setEntryWithLanguage(@Nullable com.ustadmobile.lib.db.entities.ContentEntryRelatedEntryJoinWithLanguage EntryWithLanguage) {
        this.mEntryWithLanguage = EntryWithLanguage;
        synchronized(this) {
            mDirtyFlags |= 0x1L;
        }
        notifyPropertyChanged(BR.entryWithLanguage);
        super.requestRebind();
    }
    public void setMPresenter(@Nullable com.ustadmobile.core.controller.ContentEntryDetailOverviewPresenter MPresenter) {
        this.mMPresenter = MPresenter;
        synchronized(this) {
            mDirtyFlags |= 0x2L;
        }
        notifyPropertyChanged(BR.mPresenter);
        super.requestRebind();
    }

    @Override
    protected boolean onFieldChange(int localFieldId, Object object, int fieldId) {
        switch (localFieldId) {
        }
        return false;
    }

    @Override
    protected void executeBindings() {
        long dirtyFlags = 0;
        synchronized(this) {
            dirtyFlags = mDirtyFlags;
            mDirtyFlags = 0;
        }
        com.ustadmobile.lib.db.entities.ContentEntryRelatedEntryJoinWithLanguage entryWithLanguage = mEntryWithLanguage;
        java.lang.String entryWithLanguageLanguageName = null;
        com.ustadmobile.lib.db.entities.Language entryWithLanguageLanguage = null;
        com.ustadmobile.core.controller.ContentEntryDetailOverviewPresenter mPresenter = mMPresenter;

        if ((dirtyFlags & 0x5L) != 0) {



                if (entryWithLanguage != null) {
                    // read entryWithLanguage.language
                    entryWithLanguageLanguage = entryWithLanguage.getLanguage();
                }


                if (entryWithLanguageLanguage != null) {
                    // read entryWithLanguage.language.name
                    entryWithLanguageLanguageName = entryWithLanguageLanguage.getName();
                }
        }
        // batch finished
        if ((dirtyFlags & 0x5L) != 0) {
            // api target 1

            androidx.databinding.adapters.TextViewBindingAdapter.setText(this.mboundView0, entryWithLanguageLanguageName);
        }
        if ((dirtyFlags & 0x4L) != 0) {
            // api target 1

            this.mboundView0.setOnClickListener(mCallback153);
        }
    }
    // Listener Stub Implementations
    // callback impls
    public final void _internalCallbackOnClick(int sourceId , android.view.View callbackArg_0) {
        // localize variables for thread safety
        // entryWithLanguage
        com.ustadmobile.lib.db.entities.ContentEntryRelatedEntryJoinWithLanguage entryWithLanguage = mEntryWithLanguage;
        // entryWithLanguage != null
        boolean entryWithLanguageJavaLangObjectNull = false;
        // mPresenter != null
        boolean mPresenterJavaLangObjectNull = false;
        // entryWithLanguage.cerejRelatedEntryUid
        long entryWithLanguageCerejRelatedEntryUid = 0;
        // mPresenter
        com.ustadmobile.core.controller.ContentEntryDetailOverviewPresenter mPresenter = mMPresenter;



        mPresenterJavaLangObjectNull = (mPresenter) != (null);
        if (mPresenterJavaLangObjectNull) {



            entryWithLanguageJavaLangObjectNull = (entryWithLanguage) != (null);
            if (entryWithLanguageJavaLangObjectNull) {


                entryWithLanguageCerejRelatedEntryUid = entryWithLanguage.getCerejRelatedEntryUid();

                mPresenter.handleOnTranslationClicked(entryWithLanguageCerejRelatedEntryUid);
            }
        }
    }
    // dirty flag
    private  long mDirtyFlags = 0xffffffffffffffffL;
    /* flag mapping
        flag 0 (0x1L): entryWithLanguage
        flag 1 (0x2L): mPresenter
        flag 2 (0x3L): null
    flag mapping end*/
    //end
}